ru.bitel.bgbilling.kernel.tariff.common.bean

## Class TariffPlanData

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.kernel.tariff.common.bean.TariffPlanData

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class TariffPlanData
      extends IdTitle

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TariffPlanData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCountActive()`
    `int` | `getCountAll()`
    `int` | `getCountChild()`
    `void` | `setCountActive(int countActive)`
    `void` | `setCountAll(int countAll)`
    `void` | `setCountChild(int countChild)`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### TariffPlanData

          public TariffPlanData()

  - ### Method Detail

    - #### getCountChild

          public int getCountChild()

    - #### setCountChild

          public void setCountChild(int countChild)

    - #### getCountActive

          public int getCountActive()

    - #### setCountActive

          public void setCountActive(int countActive)

    - #### getCountAll

          public int getCountAll()

    - #### setCountAll

          public void setCountAll(int countAll)